# Class StandardWatchEventKinds

java.lang.Object
java.nio.file.StandardWatchEventKinds

public final class StandardWatchEventKinds extends Object
Defines the standard event kinds.

Since:
  1.7

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final WatchEvent.Kind<Path>`
  `ENTRY_CREATE`
  Directory entry created.
  `static final WatchEvent.Kind<Path>`
  `ENTRY_DELETE`
  Directory entry deleted.
  `static final WatchEvent.Kind<Path>`
  `ENTRY_MODIFY`
  Directory entry modified.
  `static final WatchEvent.Kind<Object>`
  `OVERFLOW`
  A special event to indicate that events may have been lost or discarded.

- ## Method Summary

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Field Details

  - ### OVERFLOW

    public static final WatchEvent.Kind<Object> OVERFLOW
    A special event to indicate that events may have been lost or discarded.

    The `context` for this event is implementation specific and may be `null`. The event `count` may be greater than `1`.

    See Also:
      - `WatchService`

  - ### ENTRY_CREATE

    public static final WatchEvent.Kind<Path> ENTRY_CREATE
    Directory entry created.

    When a directory is registered for this event then the `WatchKey` is queued when it is observed that an entry is created in the directory or renamed into the directory. The event `count` for this event is always `1`.

  - ### ENTRY_DELETE

    public static final WatchEvent.Kind<Path> ENTRY_DELETE
    Directory entry deleted.

    When a directory is registered for this event then the `WatchKey` is queued when it is observed that an entry is deleted or renamed out of the directory. The event `count` for this event is always `1`.

  - ### ENTRY_MODIFY

    public static final WatchEvent.Kind<Path> ENTRY_MODIFY
    Directory entry modified.

    When a directory is registered for this event then the `WatchKey` is queued when it is observed that an entry in the directory has been modified. The event `count` for this event is `1` or greater.